Subject: Re: llpsinc.com email
From: "Michael B" <[email-masked]>
To: "Justin Fata" <[email-masked]>
Date: Mon, 21 May 2018 09:08:38 -0400

Hello Justin.
I'm not fully sure. I sent him the user information and Mike was working with him to get things in place. He did say he wanted to get things up and running and make sure everyone knew how to use everything before he fully rolled it out. I can contact Gracon and ask them where things stand if you want.
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355

From: Justin Fata 
Sent: Monday, May 21, 2018 8:59 AM
To: Jeremy Leonard 
Cc: [email-masked] 
Subject: llpsinc.com email

Jeremy, 

Where did we leave off with the email setup?

Best,

Justin